Last Comment Bug 315427 - bad nullcheck in nsXULPrototypeElement::ReleaseSubtree
: bad nullcheck in nsXULPrototypeElement::ReleaseSubtree
Status: RESOLVED FIXED
[patch]
: fixed1.8.0.4, fixed1.8.1, mlk
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9alpha1
Assigned To: David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 11:29 PST by David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
Modified: 2008-07-31 03:19 PDT (History)
1 user (show)
dveditz: blocking1.8.0.4+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.67 KB, patch)
2005-11-07 11:31 PST, David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
bryner: review+
bryner: superreview+
bryner: approval‑branch‑1.8.1+
dveditz: approval1.8.0.4+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2005-11-07 11:29:37 PST
There's a wacky null-check in nsXULPrototypeElement::ReleaseSubtree that causes the rest of the subtree to be skipped.  This actually causes a leak when opening the Prefs dialog in Firefox, when the remembered panel is the cache panel (trunk build, Fri Nov 4 15:22:21 PST 2005, Linux/GTK2).
Comment 1 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2005-11-07 11:31:40 PST
Created attachment 202127 [details] [diff] [review]
patch
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2005-11-07 12:54:01 PST
Fix checked in to trunk.
Comment 3 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-04-20 20:31:16 PDT
Checked in to MOZILLA_1_8_BRANCH.
Comment 4 Daniel Veditz [:dveditz] 2006-04-21 13:27:38 PDT
Comment on attachment 202127 [details] [diff] [review]
patch

approved for 1.8.0 branch, a=dveditz for drivers
Comment 5 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-04-21 15:13:31 PDT
Fix checked in to MOZILLA_1_8_0_BRANCH.

Note You need to log in before you can comment on or make changes to this bug.